package main

import (
	"flag"
	"fmt"
	"fusenrender"
)

var configEnv string

func init() {
	flag.StringVar(&configEnv, "etc", "a", "配置环境(etc文件)")
}

func main() {

	flag.Parse()

	configFile := fmt.Sprintf("../etc/etc_%s.yaml", configEnv)

	svc, err := fusenrender.LoadConfig(configFile)
	if err != nil {
		panic(err)
	}

	fusenrender.StartNode(svc)
}
